import request from '@/utils/request'

// 查询轮播图列表
export function listLzydBanner(query) {
  return request({
    url: '/system/LzydBanner/list',
    method: 'get',
    params: query
  })
}

// 查询轮播图详细
export function getLzydBanner(id) {
  return request({
    url: '/system/LzydBanner/' + id,
    method: 'get'
  })
}

// 新增轮播图
export function addLzydBanner(data) {
  return request({
    url: '/system/LzydBanner',
    method: 'post',
    data: data
  })
}

// 修改轮播图
export function updateLzydBanner(data) {
  return request({
    url: '/system/LzydBanner',
    method: 'put',
    data: data
  })
}

// 删除轮播图
export function delLzydBanner(id) {
  return request({
    url: '/system/LzydBanner/' + id,
    method: 'delete'
  })
}

// 导出轮播图
export function exportLzydBanner(query) {
  return request({
    url: '/system/LzydBanner/export',
    method: 'get',
    params: query
  })
}